.preference {
    *::-webkit-scrollbar {
        width: 8px;
        height: 9px;
    }

    *::-webkit-scrollbar-track {
        background: transparent;
    }

    *::-webkit-scrollbar-thumb {
        background-color: $grey-DADADA;
        border-radius: 20px;
        scrollbar-width: thin;
    }

    .q-field--outlined .q-field__control:before {
        border: 2px solid $blue-5B9ADD !important;
        border-radius: 10px;
    }

    .q-field--outlined .q-field__control:after {
        border-radius: 10px;
    }

    .q-field--dense .q-field__label {
        color: $blue-5B9ADD !important;
        font-size: 14px;
    }

    .preference-background-content {
        background-image: url('/images/background-home.png');
        background-position: center;
        background-size: 100%;
        background-repeat: no-repeat;
    }

    .label-home {
        .q-field--outlined .q-field__control:before {
            border: 2px solid $blue-5B9ADD;
            border-radius: 10px;
        }

        .q-field--dense .q-field__label {
            color: $blue-5B9ADD;
        }
    }

    .label-create,
    .label-update {
        .q-field--outlined .q-field__control:before {
            border: none;
        }

        .q-field--outlined .q-field__control {
            border-radius: 10px;
        }

        .color-container {
            width: 100%;
            height: 87px;
        }

        .color-container-mini {
            display: inline-block;
            width: 37px;
            height: 37px;
        }

        .icon-container-mini {
            background: white;
            display: inline-block;
            width: 60px;
            height: 60px;
        }

        .active {
            border: 2px solid black;
        }

        .label-title-container {
            display: flex;
            align-items: center;
        }
    }

    .branch {
        .all-chat,
        .all-clients .container {
            background-color: $blue-D7E6FB;
            min-height: calc(100vh - 280px) !important;
            max-height: calc(100vh - 280px) !important;
            overflow: scroll;
        }

        .q-field--outlined .q-field__control:before {
            border: none !important;
        }

        .q-field--outlined .q-field__control:after {
            border: none !important;

            .q-field__control {
                color: none !important;
                height: auto;
            }
        }

        .table {
            width: 100%;
            border-collapse: separate;
            border-spacing: 0 15px;

            thead {
                background: #4586e1;
                border-radius: 20px;
                color: white;

                th {
                    padding: 22px 0;
                }

                th:first-child {
                    border-radius: 20px 0 0 20px;
                }

                th:last-child {
                    border-radius: 0 20px 20px 0;
                }
            }

            tbody {
                height: 50px;
                overflow: auto;

                tr {
                    background: #d7e6fb;
                    box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.1);
                }

                td {
                    padding: 1rem;
                    text-align: center;
                }

                td.left {
                    text-align: left;
                }

                .q-btn {
                    color: white;
                    margin: 0.3rem;
                }

                .transfer {
                    background: #6574fe;
                }

                .request {
                    background: #4a85d3;
                }

                .badge {
                    background: #1791dc;
                    padding: 0.5rem 1rem;
                    border-radius: 10px;
                    color: white;
                }

                .badge.green {
                    background-color: #2b977f;
                }

                .badge.orange {
                    background-color: #ff6700;
                }

                .badge.yellow {
                    background-color: #ffa914;
                }
            }
        }

        .pagination {
            list-style-type: none;
            display: inline-flex;

            a {
                color: #686b6f;
                text-decoration: none;
                font-size: 14px;
            }

            a.page-link {
                background-color: #ffffff;
                border: 1px solid #dadada;
                box-sizing: border-box;
                border-radius: 5px;
                height: 25px;
                width: 25px;
                display: block;
                text-align: center;
                margin: 0.2rem;
            }

            .page-item.active {
                a {
                    background-color: #424242;
                    color: white;
                }
            }

            a.page-link.prev,
            a.page-link.next {
                background: unset;
                border: unset;
            }
        }

        .branch-container {
            min-height: calc(100vh - 290px);
            max-height: calc(100vh - 290px);

            .button-deactive {
                background: $red-FA6767;
                box-shadow: 0px 2px 7px rgba(49, 15, 15, 0.25);
                border-radius: 10px;
                width: 100px;
                height: 40px;
            }

            .business-info {
                display: flex;
            }

            .label-title {
                color: $purple-8A6FF0 !important;
            }

            .button-primary {
                background-color: $blue-4586E1 !important;
                box-shadow: 0px 2px 7px rgba(0, 0, 0, 0.25);
                border-radius: 10px;
            }

            .business-container {
                border-radius: 5px;

                .q-field__label {
                    color: $blue-77AFFD;
                }
            }

            .business-textbox {
                .q-field__control-container {
                    max-width: 400px;
                    min-height: 165px;
                }
            }

            .button-save {
                background-color: $green-20C86F;
            }

            .text-business {
                background: #ffffff;
                color: $blue-DCEDFF;
                width: 100%;
                min-height: 165px;
                border-radius: 5px;
            }

            .card-container {
                max-width: 410px;
                max-height: 424px;
                width: 100%;
                height: 100%;

                .my-card {
                    margin-top: 10px;
                    border-radius: 10px;
                    width: 325px;
                    height: 340px;
                    position: relative;

                    .img-wrap {
                        position: absolute;
                        z-index: 100;
                        top: 40%;
                        left: 50%;
                        transform: translate(-50%, -50%);
                        box-shadow: 0 0 0.35em 0.15em rgb(0 0 0 / 25%);
                        border-radius: 50%;
                    }

                    .back-img {
                        display: block;
                        height: 180px;
                        width: 420px;
                        object-fit: cover;
                        border-radius: 10px;
                    }

                    .inner-card {
                        position: absolute;
                        z-index: 10;
                        width: 90%;
                        height: 220px;
                        top: -70px;
                        left: 16px;
                        background-color: white;
                        border-radius: 18px;
                        box-shadow: 0 0 0.35em 0.15em rgba(0, 0, 0, 0.25);

                        .img-wrap {
                            position: absolute;
                            top: -30px;
                            left: 120px;
                        }

                        .item-info {
                            margin-top: 85px;
                        }
                    }
                }
            }
        }
    }

    .service {
        .service-container {
            min-height: calc(100vh - 320px);
            max-height: calc(100vh - 320px);
            overflow: scroll;
        }

        .q-field--outlined .q-field__control:before {
            border: none !important;
        }

        .q-field--outlined .q-field__control:after {
            border: none !important;

            .q-field__control {
                color: none !important;
                height: auto;
            }
        }

        .table {
            width: 100%;
            border-collapse: separate;
            border-spacing: 0 15px;

            thead {
                background: #4586e1;
                border-radius: 10px;
                color: white;

                th {
                    padding: 22px 0;
                }

                th:first-child {
                    border-radius: 10px 0 0 10px;
                }

                th:last-child {
                    border-radius: 0 10px 10px 0;
                }
            }

            tbody {
                height: 50px;
                overflow: auto;

                tr {
                    background: #d7e6fb;
                    box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.1);
                }

                td {
                    padding: 1rem;
                    text-align: center;
                }

                td.left {
                    text-align: left;
                }

                .q-btn {
                    color: white;
                    margin: 0.3rem;
                }

                .transfer {
                    background: #6574fe;
                }

                .request {
                    background: #4a85d3;
                }

                .badge {
                    background: #1791dc;
                    padding: 0.5rem 1rem;
                    border-radius: 10px;
                    color: white;
                }

                .badge.green {
                    background-color: #2b977f;
                }

                .badge.orange {
                    background-color: #ff6700;
                }

                .badge.yellow {
                    background-color: #ffa914;
                }
            }
        }

        .pagination {
            list-style-type: none;
            display: inline-flex;

            a {
                color: #686b6f;
                text-decoration: none;
                font-size: 14px;
            }

            a.page-link {
                background-color: #ffffff;
                border: 1px solid #dadada;
                box-sizing: border-box;
                border-radius: 5px;
                height: 25px;
                width: 25px;
                display: block;
                text-align: center;
                margin: 0.2rem;
            }

            .page-item.active {
                a {
                    background-color: #424242;
                    color: white;
                }
            }

            a.page-link.prev,
            a.page-link.next {
                background: unset;
                border: unset;
            }
        }
    }

    .issuesType {
        .service-container {
            min-height: calc(100vh - 270px);
            max-height: calc(100vh - 270px);
            overflow: scroll;
        }

        .q-field--outlined .q-field__control:before {
            border: none !important;
        }

        .q-field--outlined .q-field__control:after {
            border: none !important;

            .q-field__control {
                color: none !important;
                height: auto;
            }
        }

        .table {
            width: 100%;
            border-collapse: separate;
            border-spacing: 0 15px;

            thead {
                background: #4586e1;
                border-radius: 10px;
                color: white;

                th {
                    padding: 22px 0;
                }

                th:first-child {
                    border-radius: 10px 0 0 10px;
                }

                th:last-child {
                    border-radius: 0 10px 10px 0;
                }
            }

            tbody {
                height: 50px;
                overflow: auto;

                tr {
                    background: #d7e6fb;
                    box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.1);
                }

                td {
                    padding: 1rem;
                    text-align: center;
                }

                td.left {
                    text-align: left;
                }

                .q-btn {
                    color: white;
                    margin: 0.3rem;
                }

                .transfer {
                    background: #6574fe;
                }

                .request {
                    background: #4a85d3;
                }

                .remove {
                    background: #fa6767;
                }

                .badge {
                    background: #1791dc;
                    padding: 0.5rem 1rem;
                    border-radius: 10px;
                    color: white;
                }

                .badge.green {
                    background-color: #2b977f;
                }

                .badge.orange {
                    background-color: #ff6700;
                }

                .badge.yellow {
                    background-color: #ffa914;
                }
            }
        }

        .pagination {
            list-style-type: none;
            display: inline-flex;

            a {
                color: #686b6f;
                text-decoration: none;
                font-size: 14px;
            }

            a.page-link {
                background-color: #ffffff;
                border: 1px solid #dadada;
                box-sizing: border-box;
                border-radius: 5px;
                height: 25px;
                width: 25px;
                display: block;
                text-align: center;
                margin: 0.2rem;
            }

            .page-item.active {
                a {
                    background-color: #424242;
                    color: white;
                }
            }

            a.page-link.prev,
            a.page-link.next {
                background: unset;
                border: unset;
            }
        }
    }

    .issueType {
        .scrollable-card-y {
            overflow-y: scroll;
            white-space: nowrap;
            height: 100%;
            min-height: calc(100vh - 210px);
            max-height: calc(100vh - 210px);
        }

        .preference-input {
            background: $blue-1656C6;
            border-radius: 10px;
            color: white !important;
        }

        .preference-input-edit {
            background: $purple-8A6FF0;
            border-radius: 10px;
            color: white !important;
        }

        .q-placeholder {
            color: white;
        }

        .info-drag {
            color: $purple-8A6FF0;
        }

        .preference-background {
            background: $blue-F0F6FE;
            border-radius: 10px;
            min-height: calc(100vh - 300px);
            max-height: calc(100vh - 300px);
        }
    }

    .top-nav-bar {
        height: 150px;
    }

    .preference-page-content {
        height: auto;
        width: 100%;
    }

    .preference-page-title {
        width: auto;
        height: max-content;

        .q-tab--active {
            background-color: #3e3e3e !important;
            color: white !important;
        }
    }

    .expension-item-chatting {
        border-radius: 10px !important;
        background: linear-gradient(
            92.25deg,
            $grey-E8ECFD -2.58%,
            $blue-5EB0CC 102.31%
        ) !important;
        color: white;
        padding-left: 5%;
        height: 50px !important;
    }

    .card-item-chatting {
        background: rgba(191, 241, 242, 0.35) !important;
        backdrop-filter: blur(10px) !important;
        border-radius: 20px !important;

        .card-item-clock {
            background: linear-gradient(
                95.71deg,
                $blue-5B9ADD -14.45%,
                $purple-8A6FF0 113.32%
            );
            border-radius: 15px;
            color: white;
            width: 158px;
        }

        .card-item-btn {
            background: $blue-4A85D3 !important;
            box-shadow: 0px 2px 7px rgba(0, 0, 0, 0.25) !important;
            border-radius: 10px !important;
            color: white;
        }

        .scrollable-card {
            overflow-x: scroll;
            white-space: nowrap;
            width: 100%;
            max-width: 1800px;
        }

        .single-card {
            display: inline-block;
        }
    }

    .expension-icon {
        padding-right: 5%;
    }

    .expension-item-ongoing {
        border-radius: 20px !important;
        background-color: #1656c6;
        color: white;
        padding-left: 5%;
        height: 71px !important;
    }

    .card-item-ongoing {
        background-color: $blue-E8ECFD;
        backdrop-filter: blur(10px) !important;
        border-radius: 20px !important;

        .card-items {
            background: linear-gradient(
                95.71deg,
                $blue-5B9ADD -14.45%,
                $purple-8A6FF0 113.32%
            );
            border-radius: 15px;
            color: white;
            width: 100%;
        }

        .card-item-btn {
            background: $blue-4A85D3 !important;
            box-shadow: 0px 2px 7px rgba(0, 0, 0, 0.25) !important;
            border-radius: 10px !important;
            color: white;
        }

        .scrollable-card {
            overflow-y: scroll;
            height: 100%;
            max-height: 320px;
        }

        .single-card {
            display: inline-block;
        }

        .expension-icon {
            padding-right: 3%;
        }
    }

    .chatbox-container {
        background-color: $blue-F0F6FE;
        border-radius: 10px;
        min-height: calc(100vh - 190px);
        max-height: calc(100vh - 190px);

        .chatbox-header {
            background-color: $blue-5B9ADD;
            height: 70px;
            width: 100%;
            border-radius: 10px;

            .btn-transfer {
                background: $purple-6574FE !important;
                box-shadow: 0px 2px 7px rgba(0, 0, 0, 0.25);
                border-radius: 5px;
            }

            .btn-inv {
                background: $blue-318BDD !important;
                box-shadow: 0px 2px 7px rgba(0, 0, 0, 0.25);
                border-radius: 5px;
            }
        }

        .chatbox-scroll {
            overflow-y: scroll;
            min-height: calc(100vh - 337px);
            max-height: calc(100vh - 337px);

            .chatbox-contain {
                display: inline-block;
                width: -webkit-fill-available;
                width: -moz-available;

                .chatbox-row {
                    width: 334px;
                }

                .chatbox-item {
                    background: $purple-D6DAFF;
                    box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.15);
                    border-radius: 0px 25px 25px 25px;
                    height: auto;
                }

                .chatbox-item-user {
                    background: $orange-FFC8C2;
                    box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.15);
                    border-radius: 25px 25px 3px 25px;
                    height: auto;
                }
            }
        }

        .chatbox-footer {
            width: 100%;

            .chatbox-input {
                width: 100%;
                max-width: 96%;
                color: #5b9add;
            }
        }
    }

    .history-container {
        min-height: calc(100vh - 190px);
        max-height: calc(100vh - 190px);

        .history {
            background-color: $blue-F0F6FE;
            min-height: calc(50vh - 90px);
            max-height: calc(50vh - 90px);
            border-radius: 10px;

            .history-header {
                background-color: $orange-F09253;
                height: 70px;
                width: 100%;
                border-radius: 10px;
            }

            .history-scroll {
                overflow-y: scroll;
                height: auto;
                min-height: calc(50vh - 160px);
                max-height: calc(50vh - 265px);

                .history-contain {
                    display: inline-block;
                    width: -webkit-fill-available;
                    width: -moz-available;

                    .history-row {
                        width: 334px;
                    }

                    .history-item {
                        background: $grey-DADADA;
                        box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.15);
                        border-radius: 0px 25px 25px 25px;
                        height: auto;
                    }

                    .history-item-user {
                        background: $orange-FFC8C2;
                        box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.15);
                        border-radius: 25px 25px 3px 25px;
                        height: auto;
                    }
                }
            }
        }

        .remark {
            background-color: $blue-F0F6FE;
            border-radius: 10px;
            min-height: calc(50vh - 90px);
            max-height: calc(50vh - 90px);

            .remark-header {
                background-color: $grenn-2B977F;
                height: 70px;
                width: 100%;
                border-radius: 10px;
            }

            .remark-scroll {
                overflow-y: scroll;
                min-height: calc(50vh - 265px);
                max-height: calc(50vh - 265px);

                .remark-contain {
                    display: inline-block;
                    width: -webkit-fill-available;
                    width: -moz-available;

                    .remark-row {
                        width: auto;
                    }

                    .remark-item {
                        height: auto;
                    }
                }
            }
        }
    }

    .chatbox-footer {
        width: 100%;

        .chatbox-footer {
            width: 100%;

            .chatbox-input {
                width: 100%;
                max-width: 96%;
                color: #5b9add;
            }
        }
    }

    .user-border {
        border: 2px solid #ff6700;
    }

    .assign-task-scroll {
        overflow-y: scroll;
        height: 200px;
        min-height: calc(50vh - 250px);
        max-height: calc(50vh - 210px);

        .border {
            border: solid 1px red;
        }
    }

    .setting-container {
        overflow-y: scroll;
        background: $blue-D7E6FB;
        min-height: calc(100vh - 250px);
        max-height: calc(100vh - 250px);

        .slider-container {
            background: #adcdf9;
            box-shadow: 0px 2px 6px rgba(0, 0, 0, 0.1);
            border-radius: 37.5px;
            max-width: calc(30vh);

            .text-number {
                color: $blue-6CA6F5;
                font-size: 14px;
                position: relative;
                top: 15px;
            }

            .q-slider__track-container {
                background: $blue-C2DCFF;
                border-radius: 10px;
                height: 4px;
            }

            .q-slider__pin-text-container {
                background: white !important;
                box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.25);
                border-radius: 50px;
                width: 45px;
                min-height: 45px;
            }

            .q-slider__thumb-container {
                padding-top: 50px;
            }

            .q-slider__pin-text {
                color: black;
                font-size: 14px;
                position: relative;
                left: -0%;
            }

            .q-slider__arrow--h {
                display: none;
            }

            .q-slider__focus-ring {
                background: none !important;
            }

            .q-slider__pin-text {
                right: 10px;
                top: 5px;
                font-weight: bold;
            }
        }

        .plus-item {
            padding-left: 0px;
        }

        .link-box {
            width: auto;
            background: $green-E8FFFB;
            border-radius: 8px;
            color: $green-41AD9B;
            word-wrap: break-word;
            overflow-x: scroll;
        }

        .button-copy {
            background: $blue-ADCDF9;
            box-shadow: 0px 2px 6px rgba(0, 0, 0, 0.1);
            border-radius: 18px;
            color: $blue-3D75E1;
            font-style: normal;
            font-weight: bold;
            font-size: 18px;
            line-height: 100%;
            text-align: center;
            letter-spacing: 0.1em;
        }
    }

    .rounded-img {
        border-radius: 50%;
    }

    .account {
        .button-deactive {
            background: $red-FA6767;
            box-shadow: 0px 2px 7px rgba(49, 15, 15, 0.25);
            border-radius: 10px;
            width: 100px;
            height: 40px;
        }

        .business-info {
            display: flex;
        }

        .label-title {
            color: $purple-8A6FF0 !important;
        }

        .button-primary {
            background-color: $blue-4586E1 !important;
            box-shadow: 0px 2px 7px rgba(0, 0, 0, 0.25);
            border-radius: 10px;
        }

        .business-container {
            border-radius: 5px;

            .q-field__label {
                color: $blue-77AFFD;
            }
        }

        .q-field__control-container {
            max-width: 400px;
            min-height: 165px;
        }

        .button-save {
            background-color: $green-20C86F;
        }

        .text-business {
            background: #ffffff;
            color: $blue-DCEDFF;
            width: 100%;
            min-height: 165px;
            border-radius: 5px;
        }

        .card-container {
            max-width: 410px;
            max-height: 424px;
            width: 100%;
            height: 100%;

            .my-card {
                margin-top: 10px;
                border-radius: 10px;
                width: 325px;
                height: 340px;
                position: relative;

                .img-wrap {
                    position: absolute;
                    z-index: 100;
                    top: 40%;
                    left: 50%;
                    transform: translate(-50%, -50%);
                    box-shadow: 0 0 0.35em 0.15em rgb(0 0 0 / 25%);
                    border-radius: 50%;
                }

                .back-img {
                    display: block;
                    height: 180px;
                    width: 420px;
                    object-fit: cover;
                    border-radius: 10px;
                }

                .inner-card {
                    position: absolute;
                    z-index: 10;
                    width: 90%;
                    height: 220px;
                    top: -70px;
                    left: 16px;
                    background-color: white;
                    border-radius: 18px;
                    box-shadow: 0 0 0.35em 0.15em rgba(0, 0, 0, 0.25);

                    .img-wrap {
                        position: absolute;
                        top: -30px;
                        left: 120px;
                    }

                    .item-info {
                        margin-top: 85px;
                    }
                }
            }
        }
    }

    .roles-container {
        overflow-y: scroll;
        background: $blue-D7E6FB;
        border-radius: 30px;
        min-height: calc(100vh - 150px);
        max-height: calc(100vh - 150px);

        .link-box {
            height: 62px;
            width: auto;
            background: $green-E8FFFB;
            border-radius: 8px;
            color: $green-41AD9B;
        }

        .button-copy {
            background: $blue-ADCDF9;
            box-shadow: 0px 2px 6px rgba(0, 0, 0, 0.1);
            border-radius: 18px;
            color: $blue-3D75E1;
            font-style: normal;
            font-weight: bold;
            font-size: 18px;
            line-height: 100%;
            text-align: center;
            letter-spacing: 0.1em;
        }
    }

    .slider-container {
        background: #adcdf9;
        box-shadow: 0px 2px 6px rgba(0, 0, 0, 0.1);
        border-radius: 37.5px;
        max-width: 279px !important;
        height: 48px;
        position: relative;

        .text-number {
            color: $blue-6CA6F5;
            font-size: 14px;
        }

        .q-slider__track-container {
            background: $blue-C2DCFF;
            height: 4px;
            border-radius: 3px;
        }

        .q-slider__pin-text-container {
            background: $blue-EBF3FF !important;
            box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.25);
            border-radius: 50px;
            width: 36px;
            min-height: 36px;
        }

        .q-slider__thumb-container {
            padding-top: 55px;
        }

        .q-slider__pin-text {
            color: black;
            font-size: 14px;
            position: relative;
            left: -0%;
        }

        .q-slider__arrow--h {
            display: none;
        }

        .q-slider__focus-ring {
            background: none !important;
        }

        .q-slider__pin-text {
            right: 10px;
            font-weight: bold;
        }
    }

    .plus-item {
        padding-left: 0px;
    }

    .item-height {
        height: 48px;
    }

    .preference-container {
        background: $blue-D7E6FB;
        border-radius: 10px;
        min-height: calc(100vh - 150px);
        max-height: calc(100vh - 150px);

        .tab-menu {
            background: unset;
            width: unset;
            height: auto;
            margin: 10px 15px;
            font-style: normal;
            font-weight: normal;
            font-size: 16px;
            line-height: 100%;
            text-align: center;
            color: #3e3e3e;
        }

        .q-tab--active {
            background: $blue-D7E6FB !important;
            color: $blue-4586E1 !important;
            box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.25);
            border-radius: 10px;
        }
    }

    .knowledge-container {
        max-height: calc(100vh - 200px);
        min-height: calc(100vh - 200px);
        overflow-y: scroll;
        overflow-x: hidden;

        .knowledge-category {
            min-height: calc(100vh - 400px);
            max-height: calc(100vh - 320px);
            overflow-y: scroll;
            white-space: nowrap;
            background-color: $blue-F0F6FE;
        }

        .category-btns {
            height: min-content;

            .btn-category {
                width: 100%;
                height: 40px;
                background: $blue-647BD1 !important;
            }
        }

        .category-list {
            .q-field--outlined .q-field__control:before {
                border: none;
            }

            .q-field--outlined .q-field__control:after {
                border: none;
            }
        }

        .text-editor {
            min-height: calc(100vh - 440px);
            max-height: calc(100vh - 320px);
        }
    }

    // MOBILE
    @media screen and (max-width: 768px) {
        .preference-page-content {
            width: 100%;
        }

        .branch-container {
            min-height: calc(100vh - 400px) !important;
            max-height: calc(100vh - 400px) !important;
        }

        .setting-container {
            min-height: calc(100vh - 350px);
            max-height: calc(100vh - 350px);
        }

        .preference-container {
            min-height: calc(100vh - 200px);
            max-height: calc(100vh - 200px);
        }

        .issueType .preference-background {
            min-height: calc(100vh - 200px);
            max-height: calc(100vh - 200px);
        }

        .roles-container {
            min-height: calc(100vh - 200px);
            max-height: calc(100vh - 200px);
        }

        .knowledge-container {
            min-height: calc(100vh - 300px) !important;
            max-height: calc(100vh - 300px) !important;
            justify-content: center;
        }

        .helpdesk {
            min-height: calc(100vh - 200px);
            max-height: calc(100vh - 200px);
        }

        .fixed-center {
            top: 70%;
        }

        .preference-page-title {
            width: auto;
            height: max-content;

            .tab-title {
                overflow-y: scroll;
                white-space: nowrap;
                width: auto;
            }
        }
    }
}

.img-input {
    height: 145px;
    width: 145px;
    background-color: $blue-5968FD;
    border-radius: 50%;
    display: inline-block;
}

.button-deactive {
    background: $red-FA6767;
    box-shadow: 0px 2px 7px rgba(49, 15, 15, 0.25);
    border-radius: 10px;
}

.tab-container {
    box-shadow: inset -1px -3px 8px rgb(0 0 0 / 10%),
        inset 1px 3px 8px rgb(0 0 0 / 10%);
    border-radius: 10px;
    height: 65px;

    .q-tab--active {
        background: $blue-D7E6FB !important;
        color: $blue-4586E1 !important;
        box-shadow: 0px 2px 8px rgba(0, 0, 0, 0.25);
        border-radius: 10px;
    }

    .tab-menu {
        background: unset;
    }
}

.create-client {
    .q-field--outlined .q-field__control:before {
        border: none !important;
    }

    .q-field--outlined .q-field__control:after {
        border: none !important;

        .q-field__control {
            color: none !important;
            height: auto;
        }
    }
}

.upload {
    .img-input {
        width: 100%;
        height: 300px;
        background-color: $blue-BDD9FF;
        border-radius: 10px;
        display: inline-block;
    }

    .img-picker {
        position: absolute;
        top: 190%;
        right: 48%;
        z-index: 10;
        width: max-content;
        height: max-content;
        border-radius: none;
    }

    .img-text {
        position: absolute;
        color: $black-424242;
        top: 290%;
        right: 41%;
        z-index: 10;
    }

    .img-icon {
        width: 100%;
        height: 100%;
    }
}

.text-business {
    background: $blue-BDD9FF;
    color: $blue-DCEDFF;
    width: 100%;
    min-height: 120px;
}

.center-tab {
    display: flex;
    justify-content: center;
}

.q-slider__track-container--h {
    background: $blue-C2DCFF;
    border-radius: 3px;
    height: 4px;
}

.q-slider--inactive .q-slider__track--h {
    background: $blue-318BDD;
    height: 6px;
    border-radius: 5px;
}

.q-slider__pin-text-container:active {
    width: 54px !important;
    min-height: 55px !important;
    display: flex;
    align-items: center;
    justify-content: center;
    bottom: -10px;
}

.min-number {
    position: absolute;
    top: 8px;
    left: 16px;
}

.max-number {
    position: absolute;
    top: 8px;
    right: 16px;
}

.label-menu {
    border-radius: 20px;
}

.label-buttons {
    font-size: 16px;
}

.q-item__section--avatar {
    min-width: 50px;
}

.label-buttons-container {
    padding: 8px 16px;

    .q-item {
        min-height: unset;
    }

    .button-padding {
        padding-top: 8px !important;
        padding-bottom: 8px !important;
    }
}

.label-container {
    position: relative;
    width: 92px !important;
    height: 92px !important;
}

.label-options {
    position: absolute;
    top: -5px;
    right: -5px;
}

.card-btn {
    min-height: 20px;
}

.label-margin {
    margin: unset;
}

.remove-btn {
    color: $red-FEA0A0;
}

.button-createLabel {
    background-color: $blue-4586E1;
}

.button-save {
    background-color: $green-20C86F;
    width: auto;
    height: 40px;
}

.button-delete {
    background-color: $red-FA6767;
    width: 100px;
    height: 40px;
}

.category-container {
    .q-field--outlined .q-field__control {
        border-radius: 10px !important;

        .q-field__label {
            color: #bbbbbb;
        }
    }
}

.q-editor {
    border-radius: 10px !important;
}

.q-editor__toolbars-container {
    margin: 20px 10px;

    .q-editor__toolbar {
        border: unset;
    }
}

.q-editor__toolbar-group {
    position: unset;

    a {
        background-color: #e8ecfd;
        border-radius: 5px;
        font-size: 14px !important;
    }
}

.q-editor__content {
    padding: unset;
    margin: 10px 20px;
}

.team-search-container {
    .q-field--outlined .q-field__control {
        border-radius: 10px;
    }

    .q-field--outlined .q-field__control:before {
        border: 2px solid #5b9add;
        border-radius: 10px;
    }

    .q-field--outlined .q-field__control:after {
        border-radius: 10px;
    }

    .q-field--dense .q-field__label {
        color: $blue-5B9ADD;
    }
}

.label-list {
    .q-field--outlined .q-field__control {
        border-radius: 10px;
    }

    .q-field--outlined .q-field__control:after {
        border-radius: 10px;
    }
}

.button-copylink {
    background-color: $blue-ADCDF9;
    box-shadow: 0px 2px 6px rgba(0, 0, 0, 0.1);
    border-radius: 10px;
    color: $blue-3D75E1 !important;
    font-size: 14px;
    width: 100px;
    height: 40px;
}

.account-card {
    position: relative;

    .account-card-btn {
        position: absolute;
        min-height: 20px;
        top: 8px;
        right: 0px;
    }

    .account-details {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }
}

.roles-option {
    .q-btn__content {
        align-items: unset;
    }
}

.roles-name {
    margin: unset;
    padding-top: 10px;
}

.account-logo-img {
    border-radius: 50%;
    box-shadow: 0px 2px 7px rgba(0, 0, 0, 0.15);
}

.roles-option-container {
    position: absolute;
    top: 0px;
    right: -10px;
    padding-right: 5px;

    .q-btn {
        min-height: 20px;
    }
}

.banner {
    .banner-image-container {
        position: relative;

        .delete {
            position: absolute;
            right: 1rem;
            top: 1rem;
            background-color: $red-FA6767 !important;
            z-index: 999;
            padding: 0.5rem;
        }
    }
}

.color-container {
    width: 100%;
    height: 87px;
}

.color-container-mini {
    display: inline-block;
    width: 37px;
    height: 37px;
}

@media only screen and (max-width: 601px) {
    .q-editor__toolbars-container {
        margin: 20px 0px;
    }

    .q-editor__content {
        margin: 16px;
    }

    .q-editor__toolbar-group {
        a {
            font-size: 10px !important;
        }
    }

    .setting-container {
        padding: unset;
    }

    .upload {
        .img-input {
            width: 100%;
            height: 300px;
            background-color: $blue-BDD9FF;
            border-radius: 10px;
            display: inline-block;
        }

        .img-picker {
            position: absolute;
            top: 190%;
            right: 35%;
            z-index: 10;
            width: max-content;
            height: max-content;
            border-radius: none;
        }

        .img-text {
            position: absolute;
            color: $black-424242;
            top: 290%;
            right: 3%;
            z-index: 10;
        }

        .img-icon {
            width: 100%;
            height: 100%;
        }
    }
}

@media only screen and (min-width: 769px) {
    .mobile-save {
        display: none;
    }

    .preference-desktop {
        display: block;
    }

    .preference-mobile {
        display: none;
    }
}

@media only screen and (max-width: 1281px) {
    .remove-text {
        display: none;
    }
}

@media only screen and (max-width: 769px) {
    .tab-container {
        margin: 10px;
    }

    .center-tab {
        display: unset;
        justify-content: unset;
    }

    .auto-assign-title {
        font-size: 14px !important;
    }

    .setting-container {
        padding: unset;
    }

    .remove-text {
        display: none;
    }

    .desktop-save {
        display: none;
    }

    .mobile-save {
        display: flex;
    }

    .preference-desktop {
        display: none;
    }

    .preference-mobile {
        display: block;
    }

    .roles-number {
        font-size: 16px !important;
    }

    .headerTabs {
        .q-tab__label {
            font-size: 10px;
        }
    }
}

@media only screen and (max-width: 600px) {
    .my-card {
        width: unset !important;
    }

    .preview-text {
        font-size: 16px !important;
    }

    .label-margin {
        font-size: 16px !important;
    }

    .update-label {
        font-size: 16px !important;
    }

    .service {
        .service-container {
            min-height: calc(100vh - 350px) !important;
            max-height: calc(100vh - 350px) !important;
        }

        .table {
            thead {
                th {
                    padding: 22px 10px !important;
                }
            }
        }

        .label-title-container {
            font-size: 16px;
        }
    }

    .chatbox-header {
        height: 90px !important;
    }
}
